Groovy 1.7.0

## groovy.swing.factory
Class ActionFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.ActionFactory

    class ActionFactory
    extends AbstractFactory

author:
  Danno Ferrin

Constructor Summary
`ActionFactory()`

Method Summary
`String` | `capitalize(String text)`
`boolean` | `isHandlesNodeChildren()`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)`
`boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object action)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ActionFactory

    ActionFactory()

Method Detail

### capitalize

    String capitalize(String text)

### isHandlesNodeChildren

    public boolean isHandlesNodeChildren()

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onHandleNodeAttributes

    public boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object action, Map attributes)

### onNodeChildren

    public boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

### setParent

    public void setParent(FactoryBuilderSupport builder, Object parent, Object action)

Copyright © 2003-2009 The Codehaus. All rights reserved.